<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: MetaDualShock3 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_meta_dual_shock3.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_meta_dual_shock3-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">MetaDualShock3 Class Reference<div class="ingroups"><a class="el" href="group___sensor_actuator.html">SensorActuator</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Classe intégrant la manette <a class="el" href="class_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a>.  
 <a href="class_meta_dual_shock3.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_meta_dual_shock3_8h_source.html">MetaDualShock3.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for MetaDualShock3:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_meta_dual_shock3.png" usemap="#MetaDualShock3_map" alt=""/>
  <map id="MetaDualShock3_map" name="MetaDualShock3_map">
<area href="class_dual_shock3.html" title="Classe intégrant la manette DualShock3. " alt="DualShock3" shape="rect" coords="0,0,108,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:adfc2a677231c70aa53af1159e31e5159"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adfc2a677231c70aa53af1159e31e5159"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MetaDualShock3</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name, int port, int priority)</td></tr>
<tr class="separator:adfc2a677231c70aa53af1159e31e5159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae7cf09d89e04c2de73db704efc24785"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae7cf09d89e04c2de73db704efc24785"></a>
ButtonsMask&#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsPressed</b> (void)</td></tr>
<tr class="separator:aae7cf09d89e04c2de73db704efc24785"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab598bf9898b3b4b27371954d433096ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab598bf9898b3b4b27371954d433096ad"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>RollRef</b> (void)</td></tr>
<tr class="separator:ab598bf9898b3b4b27371954d433096ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace382588cd75e2cce3b9e3a1f679fa4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace382588cd75e2cce3b9e3a1f679fa4f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>PitchRef</b> (void)</td></tr>
<tr class="separator:ace382588cd75e2cce3b9e3a1f679fa4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a108f41f967957fc955b9db96c635b8c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a108f41f967957fc955b9db96c635b8c2"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>YawRef</b> (void)</td></tr>
<tr class="separator:a108f41f967957fc955b9db96c635b8c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a502695a3e7fd42aab481406885434af6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a502695a3e7fd42aab481406885434af6"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>ZRef</b> (void)</td></tr>
<tr class="separator:a502695a3e7fd42aab481406885434af6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a200264b67f8f71b5f97505529855253f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a200264b67f8f71b5f97505529855253f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>dYawRef</b> (void)</td></tr>
<tr class="separator:a200264b67f8f71b5f97505529855253f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67853160334b78b6a94411f54691f991"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67853160334b78b6a94411f54691f991"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>dZRef</b> (void)</td></tr>
<tr class="separator:a67853160334b78b6a94411f54691f991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa15220d91e5d212d691994429127bfd1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa15220d91e5d212d691994429127bfd1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetYawRef</b> (float value)</td></tr>
<tr class="separator:aa15220d91e5d212d691994429127bfd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4baee4880ea057a66a8538ed3c845139"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4baee4880ea057a66a8538ed3c845139"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetZRef</b> (float value)</td></tr>
<tr class="separator:a4baee4880ea057a66a8538ed3c845139"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9de2d7e5cdf9b6f6ede6ee51ba7fa3b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9de2d7e5cdf9b6f6ede6ee51ba7fa3b0"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>RollTrim</b> (void)</td></tr>
<tr class="separator:a9de2d7e5cdf9b6f6ede6ee51ba7fa3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a233664ac9b59fbd557bf332ba2183068"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a233664ac9b59fbd557bf332ba2183068"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>PitchTrim</b> (void)</td></tr>
<tr class="separator:a233664ac9b59fbd557bf332ba2183068"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35f63d73cd3d6e71e5556ba2151a4c46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35f63d73cd3d6e71e5556ba2151a4c46"></a>
<a class="el" href="classcvmatrix.html">cvmatrix</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>State</b> (void)</td></tr>
<tr class="separator:a35f63d73cd3d6e71e5556ba2151a4c46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac89ba5ceeeb08c37367a39a59c607d66"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac89ba5ceeeb08c37367a39a59c607d66"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>ErrorNotify</b> (void)</td></tr>
<tr class="separator:ac89ba5ceeeb08c37367a39a59c607d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca5030b4d4e79b43153ac88c9ec9ba51"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aca5030b4d4e79b43153ac88c9ec9ba51"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (uint8_t left_force, uint8_t left_timeout=20, uint8_t right_force=0, uint8_t right_timeout=0)</td></tr>
<tr class="separator:aca5030b4d4e79b43153ac88c9ec9ba51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a653549a133f754377cf363890bb41f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a653549a133f754377cf363890bb41f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedON</b> (Led led)</td></tr>
<tr class="separator:a5a653549a133f754377cf363890bb41f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae12c4e66b58f680fbda2dcd8be1ee1d8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae12c4e66b58f680fbda2dcd8be1ee1d8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOFF</b> (Led led)</td></tr>
<tr class="separator:ae12c4e66b58f680fbda2dcd8be1ee1d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ac97a0fae4be33a2e14230127530d3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ac97a0fae4be33a2e14230127530d3a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLed</b> (Led led, uint8_t on_timeout, uint8_t off_timeout)</td></tr>
<tr class="separator:a5ac97a0fae4be33a2e14230127530d3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_class_dual_shock3"><td colspan="2" onclick="javascript:toggleInherit('pub_types_class_dual_shock3')"><img src="closed.png" alt="-"/>&#160;Private Types inherited from <a class="el" href="class_dual_shock3.html">DualShock3</a></td></tr>
<tr class="memitem:a39f3460b4bc201d00f55fefd983a1fc4 inherit pub_types_class_dual_shock3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>Led</b> { <b>led1</b> =1, 
<b>led2</b> =2, 
<b>led3</b> =3, 
<b>led4</b> =4
 }</td></tr>
<tr class="separator:a39f3460b4bc201d00f55fefd983a1fc4 inherit pub_types_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa74b6390ee7c80ae4fedfe37780432f4 inherit pub_types_class_dual_shock3"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsMask</b> { <br/>
&#160;&#160;<b>start</b> =0x08, 
<b>select</b> =0x01, 
<b>square</b> =0x8000, 
<b>triangle</b> =0x1000, 
<br/>
&#160;&#160;<b>circle</b> =0x2000, 
<b>cross</b> =0x4000, 
<b>L1</b> =0x400, 
<b>L2</b> =0x100, 
<br/>
&#160;&#160;<b>L3</b> =0x02, 
<b>R1</b> =0x800, 
<b>R2</b> =0x200, 
<b>R3</b> =0x04, 
<br/>
&#160;&#160;<b>up</b> =0x10, 
<b>down</b> =0x40, 
<b>left</b> =0x80, 
<b>right</b> =0x20
<br/>
 }</td></tr>
<tr class="separator:aa74b6390ee7c80ae4fedfe37780432f4 inherit pub_types_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_dual_shock3"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_dual_shock3')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="class_dual_shock3.html">DualShock3</a></td></tr>
<tr class="memitem:a86351b3d9b6255c458de2a09fe036c40 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a86351b3d9b6255c458de2a09fe036c40"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>DualShock3</b> (<a class="el" href="class_framework_manager.html">FrameworkManager</a> *parent, std::string name, int port, int priority)</td></tr>
<tr class="separator:a86351b3d9b6255c458de2a09fe036c40 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b480c1d6c0e3ea28907ce44c491c2d7 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b480c1d6c0e3ea28907ce44c491c2d7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Roll</b> (void)</td></tr>
<tr class="separator:a5b480c1d6c0e3ea28907ce44c491c2d7 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd1705642a19b28b8ec0e5cfc207c1e2 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd1705642a19b28b8ec0e5cfc207c1e2"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Pitch</b> (void)</td></tr>
<tr class="separator:afd1705642a19b28b8ec0e5cfc207c1e2 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e2e28d386a758fb0cb6698430f779a9 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e2e28d386a758fb0cb6698430f779a9"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Yaw</b> (void)</td></tr>
<tr class="separator:a7e2e28d386a758fb0cb6698430f779a9 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2fc29b94770456fbca7486e1ff95fa7 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2fc29b94770456fbca7486e1ff95fa7"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Thrust</b> (void)</td></tr>
<tr class="separator:ae2fc29b94770456fbca7486e1ff95fa7 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad41a78d0ab0ccb6d9c665de59ee006ce inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad41a78d0ab0ccb6d9c665de59ee006ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Rumble</b> (uint8_t left_force, uint8_t left_timeout=20, uint8_t right_force=0, uint8_t right_timeout=0)</td></tr>
<tr class="separator:ad41a78d0ab0ccb6d9c665de59ee006ce inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad43434cf76dd455d55dbe18e0c50d3c3 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad43434cf76dd455d55dbe18e0c50d3c3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedON</b> (Led led)</td></tr>
<tr class="separator:ad43434cf76dd455d55dbe18e0c50d3c3 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f62985e0e908a30f76378fd8f5e5ce inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55f62985e0e908a30f76378fd8f5e5ce"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLedOFF</b> (Led led)</td></tr>
<tr class="separator:a55f62985e0e908a30f76378fd8f5e5ce inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980618b26a1979c637118b8ce016c0ff inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a980618b26a1979c637118b8ce016c0ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>SetLed</b> (Led led, uint8_t on_timeout, uint8_t off_timeout)</td></tr>
<tr class="separator:a980618b26a1979c637118b8ce016c0ff inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0539815039d864579ea05741f64fe93 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac0539815039d864579ea05741f64fe93"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsConnected</b> (void)</td></tr>
<tr class="separator:ac0539815039d864579ea05741f64fe93 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d9671c7736fa5690bbd4d37032510d2 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4d9671c7736fa5690bbd4d37032510d2"></a>
<a class="el" href="class_tab.html">Tab</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>SetupTab</b> (void)</td></tr>
<tr class="separator:a4d9671c7736fa5690bbd4d37032510d2 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bdcbcceba0bb3509b08f828faa771b4 inherit pub_methods_class_dual_shock3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5bdcbcceba0bb3509b08f828faa771b4"></a>
ButtonsMask&#160;</td><td class="memItemRight" valign="bottom"><b>ButtonsPressed</b> (void)</td></tr>
<tr class="separator:a5bdcbcceba0bb3509b08f828faa771b4 inherit pub_methods_class_dual_shock3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_class_thread"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_thread')"><img src="closed.png" alt="-"/>&#160;Static Private Member Functions inherited from <a class="el" href="class_thread.html">Thread</a></td></tr>
<tr class="memitem:a9d18c7935d0a8b3f98ebd19cee65b731 inherit pub_static_methods_class_thread"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_thread.html#a9d18c7935d0a8b3f98ebd19cee65b731">WarnUponSwitches</a> (bool enable)</td></tr>
<tr class="memdesc:a9d18c7935d0a8b3f98ebd19cee65b731 inherit pub_static_methods_class_thread"><td class="mdescLeft">&#160;</td><td class="mdescRight">Warn if real time / non real time switches occur.  <a href="#a9d18c7935d0a8b3f98ebd19cee65b731">More...</a><br/></td></tr>
<tr class="separator:a9d18c7935d0a8b3f98ebd19cee65b731 inherit pub_static_methods_class_thread"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Private Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Classe intégrant la manette <a class="el" href="class_meta_dual_shock3.html" title="Classe intégrant la manette MetaDualShock3. ">MetaDualShock3</a>. </p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_meta_dual_shock3.html">MetaDualShock3</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:08 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
